petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSGetRiemannSolver

Returns the Riemann solver for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetRiemannSolver(PetscDS prob, PetscInt f,
                                           void (**r)(PetscInt dim, PetscInt Nf, const PetscReal x[], const PetscReal n[], const PetscScalar uL[], const PetscScalar uR[], PetscScalar flux[], void *ctx))

Not collective Many br

### Input Arguments

| prob | - The PetscDS object Many br
| f | - The field number Many br

### Output Argument

r -Riemann solver Many br

### Calling sequence for r

    r(PetscInt dim, PetscInt Nf, const PetscReal x[], const PetscReal n[], const PetscScalar uL[], const PetscScalar uR[], PetscScalar flux[], void *ctx)

| dim | - The spatial dimension Many br
| Nf | - The number of fields Many br
| x | - The coordinates at a point on the interface Many br
| n | - The normal vector to the interface Many br
| uL | - The state vector to the left of the interface Many br
| uR | - The state vector to the right of the interface Many br
| flux | - output array of flux through the interface Many br
| ctx | - optional user context Many br

Many br

### See Also

PetscDSSetRiemannSolver()

Level:intermediate
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages